%define major		0
%define libname		%mklibname ntlm %{major}
%define develname	%mklibname ntlm -d

Summary:	Microsoft WinNT domain authentication library
Name:		libntlm
Version:	1.8
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		https://savannah.nongnu.org/projects/libntlm/
Source0:	https://download.savannah.nongnu.org/releases/libntlm/%{name}-%{version}.tar.gz
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif

%description
A library for authenticating with Microsoft NTLM challenge-response, 
derived from Samba sources.

%package -n %{libname}
Summary:	Microsoft WinNT domain authentication library
Group:		System/Libraries

%description -n %{libname}
A library for authenticating with Microsoft NTLM challenge-response, 
derived from Samba sources.

%package -n %{develname}
Summary:	Microsoft WinNT domain authentication library for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files needed for compiling against libntlm.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%check
#%%__make check

%install
%make_install

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README ChangeLog THANKS
%{_includedir}/ntlm.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libntlm.pc


%changelog
* Tue Dec 03 2024 daviddavid <daviddavid> 1.8-1.mga10
+ Revision: 2120789
- new version: 1.8

* Tue Mar 15 2022 umeabot <umeabot> 1.6-2.mga9
+ Revision: 1792778
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 daviddavid <daviddavid> 1.6-1.mga8
+ Revision: 1570712
- new version: 1.6

* Tue Feb 11 2020 umeabot <umeabot> 1.5-3.mga8
+ Revision: 1488927
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Aug 26 2018 daviddavid <daviddavid> 1.5-2.mga7
+ Revision: 1254726
- new version: 1.5
- remove static libraries
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 1.4-5.mga6
+ Revision: 934798
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 749557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 681664
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4-2.mga4
+ Revision: 529332
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 luigiwalser <luigiwalser> 1.4-1.mga4
+ Revision: 451633
- 1.4

* Sat Jan 12 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 357887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 tv <tv> 1.3-1.mga2
+ Revision: 141198
- new release
- new URLs

* Thu Feb 24 2011 ennael <ennael> 1.2-2.mga1
+ Revision: 59061
- clean spec file
- imported package libntlm


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2011.0
+ Revision: 602586
- rebuild

* Sun Jan 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2010.1
+ Revision: 495551
- update to new version 1.2

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.1-2mdv2010.0
+ Revision: 449907
- do not use valgrind on mips & arm (from Arnaud Patard)

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1-1mdv2010.0
+ Revision: 373874
- update to new version 1.1

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0-2mdv2009.0
+ Revision: 264850
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2009.0
+ Revision: 211987
- add source and spec file
- Created package structure for libntlm.

